boxcontents_param Struct Reference

`#include <metadata_manager.h>`

## Data Fields

OPJ_OFF_T | offset
| byte position of the box contents in the file
Byte8_t | length
| length of the box contents

## Field Documentation

## length

Byte8_t boxcontents_param::length

length of the box contents

Referenced by enqueue_boxcontents(), gene_boxcontents(), handle_XMLreqMSG(), and print_metadata().

## offset

OPJ_OFF_T boxcontents_param::offset

byte position of the box contents in the file

Referenced by enqueue_boxcontents(), gene_boxcontents(), handle_XMLreqMSG(), and print_metadata().

The documentation for this struct was generated from the following file:

- metadata_manager.h